* {
    box-sizing: border-box;
    font-family: "Roboto", sans-serif;
}
header {
    display: block;
    height: 70px;
    background: #2d4562;
    box-shadow: 0px 4px 20px #2d4562;
}
.small_logo {
    max-width: 50px;
}
.wrapper {
    max-width: 1200px;
    margin: 0 auto;
}
.subtitle span {
    color: #38ad0f;
    font-weight: 600;
}
.text_logo {
    /* background: -webkit-linear-gradient(90deg, #ff81e4, #ffffff); */
    background-color: #fff;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    font-size: 24px;
    font-weight: 700;
}
.subtitle img {
    max-width: 20px;
}
header .wrapper {
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}
/*header .wrapper img{
	margin-left: -80px;
}*/
body,
html {
    margin: 0;
    padding: 0;
    background-color: #d7fad2;
}
.title_section .title {
    color: #272727;
    font-weight: bold;
    font-size: 22px;
    text-align: center;
    margin: 20px 0;
}
.title_section .title span {
    color: #38ad0f;
}
.title_section .subtitle {
    font-family: Roboto;
    font-size: 20px;
    color: #272727;
    text-align: center;
    line-height: 26px;
}
.offer {
    width: 270px;
    border-radius: 15px;
    box-shadow: 0px 4px 25px rgba(0, 0, 0, 0.25);
    padding: 20px;
    margin: 20px 10px;
    display: block;
    position: relative;
    text-decoration: none;
    background-color: #ffffff;
}

.offer_logo {
    display: flex;
    align-items: center;
    justify-content: center;
    /*height: 50px;*/
}
.offer_logo img {
    max-width: 100%;
    /*max-height: 50px;*/
    display: block;
    margin: 0 auto;
}
.offer_title {
    color: #000000;
    font-weight: 600;
    font-size: 15px;
    height: 30px;
    text-align: center;
    margin: 15px 0;
}
.offers {
    margin-top: 40px;
}
.offer_descr{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    color:#000000;
    font-size: 15px;
    font-weight: 300;
    margin: 5px 0;
}
.offer_descr div:nth-child(2){
    font-size: 17px;
    font-weight: 600;
}
.offer_descr img {
    max-width: 15px;
    margin: 0 10px;
}
.offer_descr.image {
    justify-content: center;
    display: block;
    text-align: center;
    margin: 15px 0;
}
.offer_button {
    display: block;
    width: 100%;
    height: 32px;
    background-color: #79c400;
    border: 1px solid #609b00;
    border-radius: 6px;
    color: #fff;
    text-align: center;
    text-decoration: none;
    line-height: 30px;
    transition: 0.3s;
    font-weight: bold;
    font-size: 15px;
    text-transform: uppercase;
    margin: 0 auto;
    margin-top: 15px;
}
.offer_button:hover {
    background-color: transparent;
    color: #79c400;
}
.offers .wrapper {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}
.overlay {
    background-color: rgba(0, 0, 0, 0.35);
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: none;
}
.text_bottom {
    color: #272727;
}
.text_bottom p {
    line-height: 24px;
}
.text_bottom ul li {
    margin: 10px 0;
}
.modal {
    width: 600px;
    background-color: #fff;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}
.modal_title {
    width: 100%;
    /*height: 70px;*/
    position: relative;
    color: #fff;
    font-weight: bold;
    font-size: 20px;
    text-align: center;
    padding: 20px 40px;
}
.modal_title:before {
    content: "";
    top: 0;
    left: 0;
    position: absolute;
    width: 100%;
    height: 100%;
    background-image: url(../img/wave-3.svg);
    background-size: cover;
    transform: rotate(180deg);
    background-position-y: 95px;
    z-index: -1;
}
.offer_modal .logo img {
    max-width: 150px;
}
.push_block {
    width: 300px;
    height: 72px;
    background-image: linear-gradient(#2d4562, #2d4562);
    border-radius: 0px 20px 20px 0px;
    display: block;
    position: fixed;
    left: 0;
    bottom: 20px;
    display: none;
}
.white_block {
    display: flex;
    flex-wrap: nowrap;
    align-items: center;
    justify-content: space-around;
    width: 295px;
    height: 67px;
    border-radius: 0px 20px 20px 0px;
    background-color: #fff;
    padding: 0 20px;
    margin-top: 2px;
    margin-left: 2px;
}
.push_block .image_block img {
    width: 25px;
}
.push_block .text_block {
    text-align: right;
    margin-left: 10px;
    font-size: 14px;
    font-weight: 600;
    color: #272727;
}
.offer_modal .text {
    color: #191919;
    font-weight: bold;
    font-size: 25px;
}
.offer_modal {
    padding: 20px 30px;
    display: flex;
    text-decoration: none;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
}
.offer_modal .button .offer_button {
    margin-top: 0;
}
.offer_modal.border {
    border-top: 1px solid #0099ff;
    border-bottom: 1px solid #0099ff;
}
.modal_bottom {
    padding: 15px 0;
    position: relative;
    background-color: #0099ff;
}

.input_block input {
    width: 198px;
    height: 33px;
    background: #ffffff;
    border-radius: 20px;
    border: none;
    padding-left: 15px;
    outline: none;
    font-size: 18px;
}
.input_block {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
}
.button_block {
    margin-top: 20px;
}
.button_block button {
    width: 220px;
    height: 33px;
    background: #ffffff;
    border-radius: 20px;
    border: none;
    font-weight: bold;
    font-size: 18px;
    color: #0099ff;
    display: block;
    margin: 0 auto;
    -webkit-text-fill-color: #0099ff;
    opacity: 1;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}
.modal {
    position: relative;
}
.close_modal img {
    width: 30px;
    height: 30px;
}
.close_modal {
    position: absolute;
    right: 10px;
    top: 10px;
    cursor: pointer;
    z-index: 3;
}
.button_block button {
    cursor: pointer;
}
.button_block button:disabled {
    opacity: 0.7;
    cursor: not-allowed;
}

.top_offers {
    display: flex;
    width: 100%;
    align-items: center;
    flex-direction: row;
    flex-wrap: wrap;
}

.regular_offers {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    flex-direction: row;
}

/*.top_offers .offer {
    width: 90%;
    flex: 0 0 47%;
    max-width: none;
}*/
/* .offer:nth-child(1){
    width: 90%;
    flex: 0 0 47%;
    max-width: none;
    
}
.offer:nth-child(2){
    width: 90%;
    flex: 0 0 47%;
    max-width: none;
    
}
*/
/*
.top_offer:nth-child(1):before {
    content: "";
    position: absolute;
    top: -2px;
    left: -3px;
    width: 50px;
    height: 50px;
    background-image: url(../img/gold-medal.svg);
    background-size: contain;
}
.top_offer:nth-child(2):before {
    content: "";
    position: absolute;
    top: -2px;
    left: -3px;
    width: 50px;
    height: 50px;
    background-image: url(../img/silver-medal.svg);
    background-size: contain;
}
.top_offer:nth-child(3):before {
    content: "";
    position: absolute;
    top: -2px;
    left: -3px;
    width: 50px;
    height: 50px;
    background-image: url(../img/bronze-medal.svg);
    background-size: contain;
}*/

/*.top_offers*/ /*.offer:nth-child(1) .offer_logo img,
.offer:nth-child(2) .offer_logo img{
    max-width: 200px;
    max-height: 80px;
    display: block;
    margin: 0 auto;
    object-fit: contain;
}*/

/*.top_offers*/ /*.offer:nth-child(1) .offer_title,
.offer:nth-child(2) .offer_title{
    color: #000000;
    font-weight: 600;
    font-size: 18px;
    text-align: center;
    margin: 15px 0 0;
}*/
/*.top_offers*/ /*.offer:nth-child(1) .offer_descr.image,
.offer:nth-child(2) .offer_descr.image{
    justify-content: center;
    display: block;
    text-align: center;
    margin: 15px 0;
}*/

/*.top_offers*/ /*.offer:nth-child(1) .offer_descr.image img,
.offer:nth-child(2) .offer_descr.image img{
    max-width: 30px;
}*/
/*.top_offers*/ /*.offer:nth-child(1) .offer_descr,
.offer:nth-child(2) .offer_descr{
    display: flex;
    flex-wrap: nowrap;
    justify-content: space-around;
    color: #000000;
    font-size: 18px;
    font-weight: 300;
    margin: 5px 0;
}*/

/*.top_offers*/ /*.offer:nth-child(1) .offer_button,
.offer:nth-child(2) .offer_button{
    width: 100%;
    height: 4rem;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.3rem;
}*/

.text_bottom {
    /*text-align: center;*/
    padding: 20px 0;
}
.text_bottom {
    /*box-shadow: 0px 4px 20px rgba(0, 0, 0, 0.25);*/
}

footer .wrapper {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
}
.left_side_footer {
    font-size: 30px;
    font-weight: 600;
    color: #333;
}
.right_side_footer p {
    font-size: 20px;
    color: #333;
}
.right_side_ .right_title {
    font-size: 30px;
    font-weight: 600;
    color: #333;
}
footer {
    box-shadow: 0px 4px 20px rgb(82 51 255 / 50%);
    padding: 15px 0;
    background-color: #2d4562;
}
.protected p {
    margin: 0;
    text-align: center;
    color: #ffffff;
}
.why_image img {
    width: 100px;
    display: block;
    margin-bottom: 20px;
}
.why_descr {
    text-align: center;
}
.why_block {
    max-width: 300px;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.heading_title {
    text-align: center;
    font-size: 24px;
    font-weight: 600;
}
.why_us .wrapper {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    margin-top: 40px;
}

/*Adaptive Begin*/
@media (max-width: 767px) {
    .wrapper {
        padding: 0 15px;
    }
    .modal {
        width: 94%;
    }
    header .wrapper {
        justify-content: center;
    }
    .offer_modal {
        justify-content: center;
    }
    .offer_modal .text {
        font-size: 20px;
        margin-left: 20px;
    }
    .modal_title:before {
        height: 140px;
        background-position-y: 140px;
    }
    .input_block input {
        margin: 5px 0;
    }
    .offer .offer_button {
        font-size: 13px;
        width: 145px;
        height: 40px;
        line-height: 40px;
    }

    .offer_title,
    .offer_descr {
        font-size: 12px;
    }
    .offer_descr {
        font-size: 14px;
    }
    .offer_logo img {
        /*max-width: 120px;*/
        display: block;
        /*max-height: 40px;*/
    }
    .offer {
        max-width: 175px;
        box-shadow: 0px 4px 25px rgba(0, 0, 0, 0.25);
        padding: 10px;
        margin: 10px 5px;
    }
    .offers {
        margin-top: 5px;
    }
    /*.title_section .title{
		font-size: 18px;
	}*/
    .mob_hid {
        display: none;
    }
    .title_section .title {
        margin-bottom: 0;
        font-size: 15px;
    }
    .title_section .subtitle {
        font-size: 15px;
        line-height: 22px;
    }
    .offers .wrapper {
        padding: 0;
    }
    .push_block {
        bottom: 20px;
        top: unset;
    }
    /*.top_offer:nth-child(1):before,
    .top_offer:nth-child(2):before,
    .top_offer:nth-child(3):before {
        width: 35px;
        height: 35px;
        left: 0px;
        top: -1px;
    }
    */
    .modal_title {
        font-size: 15px;
    }
    .offer_modal {
        padding: 18px 30px;
    }
    .modal_title {
        margin-bottom: 15px;
    }
    .modal_title:before {
        height: 115px;
        background-position-y: 115px;
    }
    .input_block input {
        width: 166px;
        font-size: 15px;
    }
    .offer_modal .logo img {
        max-width: 100px;
    }
    .offer_modal .button .offer_button {
        margin-top: 10px;
    }

    /*.top_offers {
        flex-direction: column;
        flex-wrap: nowrap;
    }*/
    /*.top_offers*/ 
    /*
    .offer:nth-child(1), .offer:nth-child(2) {
        max-width: none;
        width: 90%;
        flex: none;
    }
    .offer:nth-child(1) .offer_logo img, .offer:nth-child(2) .offer_logo img{
        max-height: 55px;
        display: block;
    }
    .offer:nth-child(1) .offer_title, .offer:nth-child(2) .offer_title {
        font-size: 15px;
        line-height: 1.5rem;
        margin: 10px 0 0;
    }
    .offer:nth-child(1) .offer_descr.image, .offer:nth-child(2) .offer_descr.image {
        display: block;
        text-align: center;
        margin: 5px auto;
    }
    .offer:nth-child(1) .offer_descr, .offer:nth-child(2) .offer_descr {
        justify-content: space-around;
        font-size: 16px;
    }
    .offer:nth-child(1) .offer_button, .offer:nth-child(2) .offer_button {
        width: 100% !important;
    }
    .offer:nth-child(1) .offer_descr.image img, .offer:nth-child(2) .offer_descr.image img{
        max-width: 25px;
    }
    */
}
@media (max-width: 767px) {
    .offer_logo {
        /*height: 40px;*/
    }
    /* .offer_title {
        margin-top: 0;
    } */
    .text_bottom {
        text-align: center;
    }
    .offer_descr.image {
        display: block;
        text-align: center;
    }
    .offer_descr img {
        margin: 0 1px;
    }
    .why_us .wrapper {
        justify-content: center;
    }
    .why_block {
        margin: 20px 0;
    }
}

/* ======================================================= NEW STYLES =======================================================*/

/* ==================== FOOTER LINKS  ====================*/

:root {
    --blog-button: #45a049;
    --list-color: #1cc995;
    --blog-button-hover: #4caf50;
    --blog-element-hover: #d7ffd4;
}

.footer__info {
    border-bottom: 1px solid rgba(0, 0, 0, 0.3);
    padding: 3rem 0 50px;
    color: #fff;
    margin-bottom: 2rem;
}
.footer__links {
    display: flex;
    flex-direction: row;
    margin: 0 auto;
    padding: 0 20px;
    width: 100%;
    color: #fff;
}

.footer__link-element {
    display: flex;
    flex-direction: column;
    width: 100%;
    align-items: center;
}

.footer__link-element:first-child {
    border-right: 1px solid rgba(0, 0, 0, 0.3);
}

@media (max-width: 768px) {
    .footer__links {
        flex-direction: column;
    }
    .footer__link-element:first-child {
        border-right: none;
        border-bottom: 1px solid rgba(0, 0, 0, 0.3);
    }
}

.link__group {
    display: flex;
    flex-direction: column;
}

.link {
    margin-bottom: 20px;
    color: #fff;
    font-size: 14px;
    font-weight: 500;
    line-height: 21px;
    text-decoration: none;
}

.link:hover {
    color: #09f;
}

/* ============================= CONTACTS =============================== */

.contacts__section {
    padding: 50px 0 70px;
}
.contacts__container {
    display: flex;
    flex-direction: column;
    gap: 30px;
    margin: 0 auto;
    max-width: 1320px;
    padding: 0 20px;
    width: 100%;
}
.contacts__title {
    font-size: 27px;
    line-height: 35px;
    margin: 0;
}
.contacts__form {
    align-items: stretch;
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    flex-shrink: 0;
    gap: 25px;
}
.contacts__form-fields {
    display: flex;
    flex-direction: column;
    gap: 10px;
    align-items: flex-start;
}
.input {
    width: 100%;
}
.input__inner {
    position: relative;
}
.input__inner input {
    background: #aaf0db;
    border-radius: 2px;
    box-sizing: border-box;
    color: #272d2e;
    font-size: 18px;
    font-weight: 500;
    height: 60px;
    line-height: 24px;
    outline: 0;
    padding: 26px 20px;
    width: 100%;
}
.input--border {
    background: #fff !important;
    border: 1px solid rgba(39, 45, 46, 0.15);
}
.input__inner-label {
    color: rgba(0, 0, 0, 0.3);
    font-size: 15px;
    font-weight: 500;
    left: 20px;
    line-height: 24px;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    transition: 0.3s;
}
.contacts__form-action {
    background: var(--list-color);
    border: 1px solid var(--list-color);
    border-radius: 2px;
    box-shadow: 2px 2px 22px rgba(39, 150, 117, 0.5);
    color: #fff;
    cursor: pointer;
    display: inline-block;
    font-family: Arial, sans-serif;
    font-size: 18px;
    line-height: 24px;
    padding: 16px 30px 18px;
    text-align: center;
    transition: 0.2s;
    width: 100%;
    max-width: 280px;
}
.contacts__section-popup {
    align-items: center;
    background: #fff;
    border: 1px solid rgba(0, 0, 0, 0.15);
    border-radius: 4px;
    display: flex;
    flex-direction: row;
    gap: 30px;
    padding: 30px 80px 30px 60px;
}
.contacts__popup-text {
    font-size: 25px;
    line-height: 35px;
    font-style: normal;
    font-weight: 700;
}

.contacts__text {
    font-size: clamp(1rem, 0.3rem + 3.5vw, 1.75rem);
    font-weight: 500;
    line-height: 100%;
}

.back-button {
    position: absolute;
    top: 15px;
    left: 10px;
    background-color: var(--blog-button);
    color: white;
    border: none;
    padding: 10px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    border-radius: 5px;
    cursor: pointer;
}

.back-button:hover {
    background-color: var(--blog-button-hover);
}

.back-button::before {
    content: "<";
    margin-right: 10px;
}

@media (max-width: 400px) {
    .contacts__section-popup {
        flex-wrap: wrap;
    }
}

/* ===================================== BLOGS BLOCK ===================================== */

.blogs__title {
    text-align: center;
}

.blogs__holder {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: 20px;
    gap: 20px;
    margin-bottom: 20px;
}

@media (max-width: 768px) {
    .blogs__holder {
        grid-template-columns: 1fr 1fr;
    }
}
@media (max-width: 510px) {
    .blogs__holder {
        grid-template-columns: 1fr;
    }
}

.blogs__element {
    text-decoration: unset;
    color: unset;
    background-color: #fefefe;
    border: 1px solid #cecece;
    border-radius: 10px;
}

.blogs__element:hover {
    background-color: var(--blog-element-hover);
}

.blogs__card {
    padding: 1rem;
    display: flex;
    flex-direction: column;
    gap: 1.25rem;
    font-size: clamp(0.5rem, 0.3rem + 3.5vw, 1rem);
    line-height: 100%;
    justify-content: space-between;
    height: 100%;
}

.card__img-wrapper {
    max-height: 175px;
}

.card__img-wrapper img {
    width: 100%;
    height: 100%;
    max-height: inherit;
    max-width: inherit;
    object-fit: cover;
}

.card__texts {
    height: 100%;
    display: flex;
    flex-direction: column;
    gap: 1rem;
}
.card__date-wrapper {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 5px;
}

.card__date {
    color: rgba(39, 45, 46, 0.5);
    font-size: 14px;
    font-style: normal;
    font-weight: 500;
    line-height: 21px;
}
.card__title {
    margin: 0;
    font-style: normal;
    font-weight: 700;
    line-height: 120%;
    font-size: clamp(0.75rem, 0.3rem + 3.5vw, 1.25rem);
}

.card__description {
    color: rgba(39, 45, 46, 0.5);
    font-weight: 500;
    margin: 0;
}

.card__footer {
    display: flex;
    flex-direction: row;
    align-items: stretch;
    justify-content: space-between;
    gap: 5px;
}

.card__author-container {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.card__author-position {
    color: rgba(39, 45, 46, 0.5);
}

.card__hyperlink {
    color: #fff;
    padding: 0.5rem;
    background-color: var(--blog-button);
    display: flex;
    align-items: center;
    border-radius: 3px;
    min-width: 83px;
    height: 32px;
}

/* BLOG TEMPLATE */

.blog__section {
    padding: 2rem 1rem;
    font-size: clamp(0.5rem, 0.3rem + 3.5vw, 1.1rem);
    line-height: 130%;
    text-align: justify;
}

.blog__section ul {
    padding-left: 0;
}
.blog__img-wrapper {
    width: 100%;
    text-align: center;
}

.blog__img-wrapper img {
    height: 100%;
    width: 100%;
    max-width: 700px;
    max-height: 400px;
    object-fit: cover;
    box-shadow: 0 0 20px 0px rgb(0 0 0 / 30%);
}

.blog__title {
    text-align: center;
    padding: 1rem 0;
    border-bottom: 1px solid #dddddd;
    font-size: clamp(1.5rem, 0.3rem + 3.5vw, 2rem);
}

.blog__list-unordered {
    list-style: none;
}
.blog__list-ordered {
    padding-left: 15px;
}

.blog__list-unordered .blog__list-item {
    position: relative;
    margin-bottom: 10px;
    padding-left: 44px;
}

.blog__list-ordered .blog__list-item {
    position: relative;
    margin-bottom: 10px;
    padding-left: 5px;
}

.blog__list-unordered > .blog__list-item:before {
    background-color: var(--list-color);
    border-radius: 50%;
    content: "";
    display: block;
    flex-shrink: 0;
    height: 26px;
    margin-right: 14px;
    position: absolute;
    width: 26px;
}

.blog__list-unordered > .blog__list-item:before {
    background-image: url(./blog-images/arrow.svg);
    background-position: 7px;
    background-repeat: no-repeat;
    background-size: 13px 10px;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
}

.blog__publication {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.blog__author-column {
    display: flex;
    flex-direction: column;
}

.blog__publication-time {
    display: flex;
    align-items: center;
    gap: 5px;
    color: rgba(39, 45, 46, 0.5);
    font-size: 14px;
    font-style: normal;
    font-weight: 500;
    line-height: 21px;
}

.blog__grid {
    display: grid;
    justify-items: center;
    align-items: center;
    justify-content: center;
    align-content: center;
    grid-template-columns: repeat(3, 1fr);
    margin: 1rem 0;
}

.blog__grid-element {
    border: 1px solid rgba(39, 45, 46, 0.3);
    height: 100%;
    width: 100%;
}

.blog__table {
    border: 1px solid rgba(39, 45, 46, 0.3);
    border-collapse: collapse;
    width: 100%;
    margin: 2rem 0;
}

.blog__table-cell {
    border: 1px solid rgba(39, 45, 46, 0.3);
    color: #272d2e;
    font-size: 16px;
    font-weight: 500;
    line-height: 1.5;
    padding: 20px 15px;
}

.blogs__more {
    padding: 0 1rem 2rem;
    display: flex;
    flex-direction: column;
}

.blogs__more-button {
    margin: 0 auto;
    background: var(--blog-button);
    border: 1px solid var(--blog-button);
    border-radius: 2px;
    box-shadow: 2px 2px 22px rgba(39, 150, 117, 0.5);
    color: #fff;
    cursor: pointer;
    display: inline-block;
    font-family: Arial, sans-serif;
    font-size: 18px;
    line-height: 24px;
    padding: 16px 30px 18px;
    text-align: center;
    transition: 0.2s;
    width: 100%;
    text-decoration: none;
}

.blogs__more-button:hover {
    background-color: var(--blog-button-hover);
}

@media (min-width: 1024px) {
    .blogs__more-button {
        width: 410px !important;
    }
}
